<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('libraries', function (Blueprint $table) {
            $table->id();
            $table->string('name')->nullable();
            $table->text('description')->nullable();
            $table->string('library_title')->nullable();
            $table->string('online_resources_title')->nullable();
            $table->string('resources_title')->nullable();
            $table->text('resources_description')->nullable();
            $table->string('opening_hours_title')->nullable();
            $table->string('library_opening_time')->nullable();
            $table->string('library_closing_time')->nullable();
            $table->text('library_time_description')->nullable();
            $table->string('contact_title')->nullable();
            $table->string('tittle_circulation')->nullable();
            $table->string('desk_contact_number1')->nullable();
            $table->string('desk_contact_number2')->nullable();
            $table->string('desk_email')->nullable();
            $table->string('desk_title_2')->nullable();
            $table->text('renewal_text_1')->nullable();
            $table->text('renewal_text_2')->nullable();
            $table->text('renewal_text_3')->nullable();
            $table->string('background_image')->nullable();
            $table->string('library_policy_title')->nullable();
            $table->text('library_policy_description')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('libraries');
    }
};
